# DEVELOPMENT TOOL
# FULL RESET, RUN THIS TO RESET EVERYTHING IN THE MAP

scoreboard players reset * gm4_pb_playtime
data remove storage gm4_puzzle_block:stats stat

# re-enable all location advancements
advancement revoke @a from gm4_puzzle_block:map_trigger/root
scoreboard players set $current_area gm4_pb_data 1

# reset pos of all blocks
function gm4_puzzle_block:activate/reset_blocks

# remove display advancements
advancement revoke @a from gm4_puzzle_block:display/root
scoreboard players reset $advancement.push gm4_pb_data
scoreboard players reset $advancement.button gm4_pb_data
scoreboard players reset $advancement.battery gm4_pb_data
scoreboard players reset $advancement.ice gm4_pb_data
scoreboard players reset $advancement.crate gm4_pb_data
scoreboard players reset $advancement.magnet gm4_pb_data
scoreboard players reset $advancement.conveyor gm4_pb_data
scoreboard players reset $advancement.elevator gm4_pb_data
scoreboard players reset $advancement.piston gm4_pb_data
scoreboard players reset $advancement.door gm4_pb_data
scoreboard players reset $advancement.teleporter gm4_pb_data
scoreboard players reset $advancement.finale gm4_pb_data
scoreboard players reset $advancement.finish gm4_pb_data

# remove pusher
tag @a remove gm4_pb_pusher
clear @a ender_eye
clear @a light_gray_dye
clear @a purple_dye

# map stuff
scoreboard players set $intro_stage gm4_pb_data 0
fill 997 114 1103 1003 114 1107 minecraft:cobbled_deepslate
scoreboard players set $map_trigger.floor_broken gm4_pb_data 0
setblock 961 106 1093 yellow_stained_glass
clone 971 95 1167 966 92 1171 966 114 1167

# respawn skybox (center 1000 138 1120)
kill @e[type=item_display,tag=gm4_pb_skybox]
summon item_display 1000 138 1040 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.main"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,80f],scale:[40f,40f,40f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:7}}}
summon item_display 1000 138 1190 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.main"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,-70f],scale:[40f,40f,40f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:7}}}
# black void skybox (center 1000 133 180)
summon item_display 1000 133 180 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.void"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,70f,0f],scale:[40f,20f,40f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:14}}}
summon item_display 930 133 210 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.void"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[70f,70f,-30f],scale:[40f,20f,40f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:14}}}
# void screen (center 933 124 209)
summon item_display 933.8 124 209 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.screen"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[16f,16f,16f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:9}},Rotation:[90F,0F]}
# black hole (center 880 98 230)
summon item_display 982.325 128 193.664 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.black_hole","gm4_pb_skybox.swirl"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-20f,-30f,100f],scale:[40f,40f,40f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:201}},Rotation:[60F,-20F]}
summon item_display 982.325 128 193.664 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.black_hole"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-20f,-30f,100f],scale:[40f,40f,40f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:200}},Rotation:[60F,-20F]}
# playground skybox (center 0 130 1000)
summon item_display 0 85 1000 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.main","gm4_pb_skybox.playgound"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,45f,0f],scale:[40f,40f,40f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:7}}}
# playground black hole (center 0 115 1000)
summon item_display 0 115 1000 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.playground_bh","gm4_pb_skybox.swirl2"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[20f,20f,20f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:201}},Rotation:[0F,0F]}
summon item_display 0 115 1000 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",billboard:"center",Tags:["gm4_pb_skybox","gm4_pb_skybox.playground_bh"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[20f,20f,20f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:200}},Rotation:[0F,0F]}
# playground mini skybox
summon item_display -19 91.0 987 {view_range:10.0f,shadow_radius:0f,shadow_strength:0f,item_display:"head",Tags:["gm4_pb_skybox","gm4_pb_skybox.main","gm4_pb_skybox.mini"],brightness:{sky:0,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.25f,0.25f,0.25f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:7}}}
# playground indoor void
summon item_display 17.5 80.0 966.0 {Tags:["gm4_pb_skybox","gm4_pb_skybox.indoors"],brightness:{sky:10,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[15.99f,15.99f,15.99f]},item:{id:"minecraft:lime_dye",Count:1b,tag:{CustomModelData:15}}}

# stop music
stopsound @a

# respawn settings texts
kill @e[type=text_display,tag=gm4_pb_setting_display]
summon text_display 955 113.5875 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.25f,1.25f,1.25f]},Rotation:[45F,0F],text:'{"translate":"gm4_pb.setting.1","fallback":"Required Settings","color":"white"}'}
summon text_display 955 113.1750 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"options.renderDistance","color":"white"}'}
summon text_display 955 112.9000 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"gm4_pb.setting.2","fallback":"At least 8 Chunks","color":"gray"}'}
summon text_display 955 112.4875 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'[{"translate":"gm4_pb.setting.3","fallback":"Leaves (","color":"white"},{"translate":"options.graphics"},{"translate":"gm4_pb.setting.4","fallback":")"}]'}
summon text_display 955 112.2125 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"options.graphics.fancy","color":"gray"}'}
summon text_display 955 111.8000 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"soundCategory.weather","color":"white"}'}
summon text_display 955 111.5250 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"gm4_pb.setting.5","fallback":"Enabled","color":"gray"}'}
summon text_display 955 111.1125 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"gm4_pb.setting.6","fallback":"If playing on modded","color":"white"}'}
summon text_display 955 110.8375 1023 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[45F,0F],text:'{"translate":"gm4_pb.setting.7","fallback":"Turn off Fog","color":"gray"}'}
summon text_display 955 113.5875 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.25f,1.25f,1.25f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.8","fallback":"Recommended Settings","color":"white"}'}
summon text_display 955 113.1750 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"options.gamma","color":"white"}'}
summon text_display 955 112.9000 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.9","fallback":"As low as possible","color":"gray"}'}
summon text_display 955 112.6250 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.10","fallback":"Make sure you can see this room","color":"gray"}'}
summon text_display 955 112.2125 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.11","fallback":"Entity Distance","color":"white"}'}
summon text_display 955 111.9375 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.12","fallback":"100% - reduce if you experience lag","color":"gray"}'}
summon text_display 955 111.6625 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"gm4_pb.setting.13","fallback":"Going above 100% is not recommended!","color":"gray"}'}
summon text_display 955 111.2500 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'{"translate":"soundCategory.music","color":"white"}'}
summon text_display 955 110.9750 1029 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[135F,0F],text:'[{"translate":"soundCategory.voice","color":"gray"},{"translate":"gm4_pb.setting.14","fallback":" controls music volume","color":"gray"}]'}

# translation credits
summon text_display 957.75 113.5875 1026 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[90F,0F],text:'{"translate":"gm4_pb.translation.1","fallback":"","color":"white"}'}
summon text_display 957.75 113.3125 1026 {Tags:["gm4_pb_setting_display"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},Rotation:[90F,0F],text:'{"translate":"gm4_pb.translation.2","fallback":"","color":"gray"}'}

# respawn tutorial text
kill @e[type=text_display,tag=gm4_pb_tutorial_text]
summon text_display 962 107.4 1086.7 {Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.6f,0.6f,0.6f]},text:'[{"translate":"gm4_pb.intro.3","fallback":"Use the "},{"translate":"gm4_pb.inventory.39","fallback":"Pusher","color":"#D76930"},{"translate":"gm4_pb.intro.4","fallback":" button ("},{"keybind":"key.use","color":"#E3D4D1"},{"translate":"gm4_pb.intro.5","fallback":")\\n to look around or swap who can push"}]',background:1310720}
summon text_display 969 107.6 1082.0 {Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},text:'[{"translate":"gm4_pb.intro.6","fallback":"Use "},{"keybind":"key.sneak","color":"#E3D4D1"},{"translate":"gm4_pb.intro.7","fallback":"\\nto push blocks"}]',background:1310720}
summon text_display 967.8 112.3 1080.0 {Rotation:[-90F,0F],Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.8f,0.8f,0.8f]},text:'[{"translate":"gm4_pb.intro.8","fallback":"Got stuck?\\n"},{"translate":"gm4_pb.intro.6","fallback":"Use "},{"translate":"gm4_pb.intro.9","fallback":"Reset ","color":"#9A1F2B"},{"translate":"gm4_pb.intro.10","fallback":"to reset the full puzzle\\n"},{"translate":"gm4_pb.intro.11","fallback":"Or "},{"translate":"gm4_pb.intro.12","fallback":"Undo ","color":"#98C949"},{"translate":"gm4_pb.intro.13","fallback":"to reverse your last move"}]',background:1310720}
summon text_display 979.0 118.2 1081.3 {line_width:300,Rotation:[-180F,0F],Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},text:'{"translate":"gm4_pb.intro.14","fallback":"If you\'re ever confused, hover over things\\nin your inventory to get an explanation!"}',background:1310720}
summon text_display 975.7 118.2 1085.0 {line_width:300,Rotation:[-90F,0F],Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.8f,0.8f,0.8f]},text:'[{"translate":"gm4_pb.intro.15","fallback":"If you\'re having trouble you can pull the "},{"translate":"gm4_pb.intro.16","fallback":"Hint Lever\\n","color":"#d9b811"},{"translate":"gm4_pb.intro.17","fallback":"in your inventory to reveal Hints near every puzzle!"}]',background:1310720}
summon text_display 979.0 118.1 1096.3 {line_width:160,Rotation:[-180F,0F],Tags:["gm4_pb_tutorial_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.6f,0.6f,0.6f]},text:'{"translate":"gm4_pb.intro.18","fallback":"Pushing from stairs is impossible, watch the indicator at your feet!"}',background:1310720}
# spawn the last one later so it's not visible - spawned from map_trigger/intro/first_push

# respawn secret collection flowers
kill @e[type=item_display,tag=gm4_pb_secret_counter]
summon item_display 979 118.5 195 {Rotation:[-135F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 979 118.5 195 {Rotation:[-45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 979 118.5 198 {Rotation:[-135F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 978 118.5 197.0 {Rotation:[-90F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 978 118.5 192 {Rotation:[-45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 979 119.5 191 {Rotation:[-45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 980 118.5 191 {Rotation:[-45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 984 118.5 192 {Rotation:[45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 119.5 193 {Rotation:[45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 118.5 194 {Rotation:[45F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 983 118.5 198 {Rotation:[135F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 983 118.5 198 {Rotation:[-135F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 120.5 197 {Rotation:[135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 121.5 196 {Rotation:[135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 983 121.5 196 {Rotation:[135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 984 121.5 197 {Rotation:[45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 979 120.5 198 {Rotation:[-135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 978 121.5 197 {Rotation:[-135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 978 120.5 194 {Rotation:[-135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 980 121.5 195 {Rotation:[135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 981 121.5 196 {Rotation:[45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 981 121.5 196 {Rotation:[-45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 981 121.5 193 {Rotation:[135F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 981 121.5 193 {Rotation:[45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 982 121.5 192 {Rotation:[-45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 984 120.5 191 {Rotation:[45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 978 121.0 194 {Rotation:[-135F,0F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 122.0 196 {Rotation:[135F,0F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 985 119.5 193.0 {Rotation:[90F,-45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 981 121.5 196 {Rotation:[-90F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 980 121.5 191 {Rotation:[-45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}
summon item_display 980 121.5 191 {Rotation:[45F,45F],Tags:["gm4_pb_secret_counter"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,0.7f],scale:[0.5f,0.5f,0.5f]},item:{id:"minecraft:purple_dye",Count:1b,tag:{CustomModelData:0}}}

# reset playground location
data modify storage gm4_puzzle_block:pusher playground.in.pos set value [0.5d,80.0d,998.5d]
data modify storage gm4_puzzle_block:pusher playground.in.rot set value [0.0f,0.0f]
data modify storage gm4_puzzle_block:pusher playground.in.respawn_pos set value [0.5d,80.0d,1000.5d]

# respawn playground text
kill @e[type=text_display,tag=gm4_pb_playground_text]
summon text_display 13.5 80.0 1004.3 {Rotation:[-180F,0F],line_width:150,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.8f,0.8f,0.8f]},text:'[{"translate":"gm4_pb.playground.1","fallback":"Sometimes puzzles just turn out to be too hard or confusing and they have to be cut.\\n\\n"},{"translate":"gm4_pb.playground.2","fallback":"This one used to be the final puzzle for the Winter branch!"}]',background:1310720}
summon text_display 0.5 82.05 1002.3 {Rotation:[-180F,0F],line_width:160,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.3","fallback":"Welcome to the Playground, home of lost puzzles!\\nThere\'s no completion here. Just have a look around!"}',background:1310720}
summon text_display 17.0 80.75 1024.0 {Rotation:[90F,0F],line_width:240,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.4","fallback":"There were a lot of mechanics that ended up not really working out.\\nThis puzzle uses the interaction between two moving blocks. See if you can figure it out!"}',background:1310720}
summon text_display -17.0 81.0 1021.5 {Rotation:[-90F,0F],line_width:150,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.5","fallback":"Some puzzles just don\'t quite work. This one used to be in the Autumn area, but was removed for being too confusing."}',background:1310720}
summon text_display -3.0 79.2 1028.0 {Rotation:[-180F,0F],line_width:200,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.6","fallback":"Did you know?\\nThere\'s a total of 64 birds around the map that can be scared away!"}',background:1310720}
summon text_display -21 79.0 1000 {Rotation:[-90F,-90F],line_width:260,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.8f,0.8f,0.8f]},text:'{"translate":"gm4_pb.playground.7","fallback":"Here\'s a mechanic we found while messing around with conveyors and elevators!\\n\\nSee if you can figure out the combination!"}',background:1310720}
summon text_display -15.0 75.5 1015.0 {Rotation:[-90F,0F],line_width:300,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.8","fallback":"Sometimes mechanics end up being unintuitive.\\nThe idea behind this old Autumn puzzle was re-used for a collectable flower."}',background:1310720}
summon text_display -9.0 75.0 1026.0 {Rotation:[180F,0F],line_width:250,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.65f,0.65f,0.65f]},text:'{"translate":"gm4_pb.playground.9","fallback":"This room holds one of the first drafts for the layout of the map.\\n\\nSome parts, like the red, orange, and yellow sections survived as the intro, tutorial and Spring sections respectively.\\n\\nOthers - like the central monument - were changed almost completely."}',background:1310720}
summon text_display 0.5 76.0 997.0 {Rotation:[0F,0F],line_width:260,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.10","fallback":"This puzzle is a very old draft for the very first tutorial puzzle!\\nIt also contains the original dev textures for Boxes, Batteries and Doors."}',background:1310720}
summon text_display 16.0 76.3 1008.0 {Rotation:[90F,0F],line_width:160,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.11","fallback":"Inaccessible Boxes are not actually Boxes at all, but Red Mushroom Blocks with different block states!"}',background:1310720}
summon text_display -9.5 89.0 985.5 {Rotation:[180F,-90F],line_width:220,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.12","fallback":"In order to keep the flow of puzzling going it was important to never take away the pushing power from players for too long.\\n\\nSo here is an infinite loop! Push this Box and you\'ll have to Reset or Undo!"}',background:1310720}
summon text_display -15.25 89.0 987.0 {Rotation:[-90F,-90F],line_width:200,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.75f,0.75f,0.75f]},text:'{"translate":"gm4_pb.playground.13","fallback":"Each skybox is actually just an item model blown up to ridiculous size!"}',background:1310720}
summon text_display 0.5 89.1 985.3 {Rotation:[-180F,0F],line_width:170,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.65f,0.65f,0.65f]},text:'{"translate":"gm4_pb.playground.14","fallback":"The black hole is actually two item models, the swirl that rotates and a disc that billboards to give the illusion of a sphere."}',background:1310720}
summon text_display 17.5 89.0 987.5 {Rotation:[135F,-90F],line_width:260,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.15","fallback":"Pretty much everything you see that isn\'t a block is actually an item model. In the case of buttons, lamps etc usually Leather Horse Armor to allow for easy colouring."}',background:1310720}
summon text_display 0.5 81.1 1037.5 {Rotation:[0F,0F],billboard:"vertical",line_width:260,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.16","fallback":"Developer Switch"}',background:1310720}
summon text_display 21.0 78.1 973.0 {Rotation:[0F,0F],line_width:100,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.6f,0.6f,0.6f]},text:'{"translate":"gm4_pb.playground.17","fallback":"These Boxes were meant to be used in the Void, but they made things a bit hard to see"}',background:1310720}
summon text_display 27.3 78.1 975.5 {Rotation:[90F,0F],line_width:170,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.18","fallback":"The idea for a big tree as the goal came quite early, though it was a lot smaller at that time!"}',background:1310720}
summon text_display 19.0 84.2 1024.0 {Rotation:[-90F,0F],line_width:220,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.19","fallback":"For extra detail certain block states are retextured as slabs with different thickness. This includes snow layers, trapdoors and walls."}',background:1310720}
summon text_display 21.0 86.1 1035.0 {Rotation:[-180F,0F],line_width:240,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.8f,0.8f,0.8f]},text:'{"translate":"gm4_pb.playground.20","fallback":"Scattered around the map you can find the heads of some of our wonderful patreons!"}',background:1310720}
summon text_display 22.0 87.1 1012.7 {Rotation:[0F,0F],line_width:140,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.21","fallback":"Each area features 3 different tracks. With Summer having one more for the Void."}',background:1310720}
summon text_display 24.3 87.25 1015.0 {Rotation:[90F,0F],line_width:130,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},text:'{"translate":"gm4_pb.playground.22","fallback":"Music Carousell"}',background:1310720}
summon text_display 0.5 85.6 973.0 {Rotation:[0F,0F],line_width:170,Tags:["gm4_pb_playground_text"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.7f,0.7f,0.7f]},text:'{"translate":"gm4_pb.playground.23","fallback":"With the sheer amount of puzzles we made some just had to be cut. This puzzle was good but sadly still had to get the axe to make room for others."}',background:1310720}

# kill pusher ghost
kill @e[type=item_display,tag=gm4_pb_pusher_ghost]

# respawn lore
function gm4_puzzle_block:dev/respawn_lore_markers

# spawn player rigs
execute positioned 1.5 79.0 971.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/kyrius
execute positioned -0.5 79.0 971.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/thanathor
execute positioned 935.5 112.0 1027.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/kyrius_spawn
execute positioned 935.5 112.0 1025.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/thanathor_spawn
execute positioned 938.5 112.0 1030.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/raasdonder
execute positioned 940.5 112.0 1030.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/memo
execute positioned 938.5 112.0 1022.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/bartthebart
execute positioned 940.5 112.0 1022.5 rotated 0 0 run function gm4_puzzle_block:dev/player_rigs/toffeemax
kill @e[type=text_display,tag=gm4_pb_player_rig_text]
summon text_display 943.5 114.0 1026.5 {billboard:"center",Tags:["gm4_pb_player_rig_text"],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},text:'{"translate":"gm4_pb.credit.31","fallback":"Developers"}',background:1310720}

# credit detectors
kill @e[type=interaction,tag=gm4_pb_credit.detect]
summon interaction 940 111.0 1030 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.memo"]}
summon interaction 938 111.0 1030 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.raas"]}
summon interaction 935 111.0 1027 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.kyrk"]}
summon interaction 935 111.0 1025 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.than"]}
summon interaction 938 111.0 1022 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.bart"]}
summon interaction 940 111.0 1022 {width:1.25f,height:4f,Tags:["gm4_pb_credit.detect","gm4_pb_credit.toff"]}
kill @e[type=text_display,tag=gm4_pb_credit.text]
summon text_display 940 111.75 1029.999 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[180f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}
summon text_display 938 111.75 1029.999 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[180f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}
summon text_display 936.001 111.75 1027 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[-90f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}
summon text_display 936.001 111.75 1025 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[-90f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}
summon text_display 938 111.75 1023.001 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[0f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}
summon text_display 940 111.75 1023.001 {Tags:["gm4_pb_credit.text"],brightness:{sky:10,block:10},Rotation:[0f,0f],transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.5f,0.5f,0.5f]},text:'{"translate":"gm4_pb.credit.32","fallback":"Click For Info"}',background:1310720}

tellraw @a {"translate":"gm4_pb.dev.reset_map","fallback":"Map Reset!"}
