# remove pusher role from this player
# @s = pusher player
# at @s
# run from technical/inventory/holding
# run from technical/player_joined

# deal with sitting on benches
execute store success score $mounted gm4_pb_data run ride @s dismount
execute if score $mounted gm4_pb_data matches 1 align xyz run tp @s ~.5 ~1.43755 ~.5
execute if score $mounted gm4_pb_data matches 1 run tag @s add gm4_pb_bech_fix
execute if score $mounted gm4_pb_data matches 1 run schedule function gm4_puzzle_block:technical/player/fix_bench/viewer 1t

# spawn ghost
execute unless score $from_rejoin gm4_pb_data matches 1 if entity @s[team=player,tag=gm4_pb_pusher] at @s run summon item_display ~ ~-3 ~ {Tags:["gm4_pb_pusher_ghost"],brightness:{sky:15,block:15},transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:300}}}
execute unless score $from_rejoin gm4_pb_data matches 1 if entity @s[team=player,tag=gm4_pb_pusher] at @s rotated as @s as @e[type=item_display,tag=gm4_pb_pusher_ghost] run tp @s ~ ~0.5 ~ ~ 0

# set player data
tag @s remove gm4_pb_pusher
effect clear @s jump_boost
scoreboard players set $reset_tick gm4_pb_data 0
scoreboard players set @s gm4_pb_hunger_goal 7

# store pusher pos if there's no pushers left
execute unless entity @a[tag=gm4_pb_pusher,team=player] run data modify storage gm4_puzzle_block:pusher last_undo_state.pos set from entity @s Pos
execute unless entity @a[tag=gm4_pb_pusher,team=player] run data modify storage gm4_puzzle_block:pusher last_undo_state.rot set from entity @s Rotation
execute unless entity @a[tag=gm4_pb_pusher,team=player] at @s run function gm4_puzzle_block:mechanic/undo/save_player_pos

# view cd for view button
scoreboard players set @s gm4_pb_view_cd 7

# update inventory
playsound minecraft:block.stone_button.click_off player @s ~ ~ ~ 1 1.6
execute as @a[team=player,gamemode=!spectator] run function gm4_puzzle_block:technical/inventory/build/buttons/base
function gm4_puzzle_block:technical/inventory/build/completion/base

# remove glowing
execute as @e[type=item_display,tag=gm4_pb_block_display] run data modify entity @s Glowing set value 0b
