# process collected secrets
# @s = secret item_display
# at @s
# run from technical/secret/process

scoreboard players add @s gm4_pb_moving_prev 1

# start movement
scoreboard players set @s[scores={gm4_pb_moving_prev=1}] gm4_pb_moving 0
data merge entity @s[scores={gm4_pb_moving_prev=1}] {start_interpolation:-1,interpolation_duration:10,transformation:{left_rotation:[1f,-1f,1f,1f],right_rotation:[1f,1f,-1f,1f],translation:[0f,1f,0f],scale:[0f,0f,0f]}}

# add to count
execute if entity @s[scores={gm4_pb_moving_prev=1},tag=!gm4_pb_secret.special] run scoreboard players add $collectables gm4_pb_completion 1
execute if entity @s[scores={gm4_pb_moving_prev=1},tag=gm4_pb_secret.spring] run scoreboard players add $spring.collectable gm4_pb_completion 1
execute if entity @s[scores={gm4_pb_moving_prev=1},tag=gm4_pb_secret.winter] run scoreboard players add $winter.collectable gm4_pb_completion 1
execute if entity @s[scores={gm4_pb_moving_prev=1},tag=gm4_pb_secret.autumn] run scoreboard players add $autumn.collectable gm4_pb_completion 1
execute if entity @s[scores={gm4_pb_moving_prev=1},tag=gm4_pb_secret.summer] run scoreboard players add $summer.collectable gm4_pb_completion 1
execute if entity @s[scores={gm4_pb_moving_prev=9},tag=gm4_pb_secret.special] run function gm4_puzzle_block:technical/secret/special

# poof away
execute if score @s gm4_pb_moving_prev matches 1..5 run particle block cherry_leaves ~ ~0.3 ~ 0.1 0.2 0.1 0.01 2
execute if score @s gm4_pb_moving_prev matches 6..9 run particle block cherry_leaves ~ ~0.6 ~ 0.1 0.2 0.1 0.01 3
execute if score @s gm4_pb_moving_prev matches 1..5 run playsound block.moss.break player @a ~ ~1 ~ 1 0.5
execute if score @s gm4_pb_moving_prev matches 6..10 run playsound block.moss.place player @a ~ ~1 ~ 1 0.5
execute if score @s gm4_pb_moving_prev matches 9 run playsound entity.chicken.egg player @a ~ ~1 ~ 2 0.6
execute if score @s gm4_pb_moving_prev matches 4 run particle cherry_leaves ~ ~0.4 ~ 0.15 0.15 0.15 1 4
execute if score @s gm4_pb_moving_prev matches 7 run particle cherry_leaves ~ ~0.7 ~ 0.15 0.15 0.15 1 6
execute if score @s gm4_pb_moving_prev matches 10 run particle cherry_leaves ~ ~1 ~ 0.15 0.15 0.15 1 8
execute if score @s gm4_pb_moving_prev matches 10 run particle block cherry_leaves ~ ~1 ~ 0.075 0.075 0.075 0 24
tag @s[scores={gm4_pb_moving_prev=10..}] add gm4_pb_secret.disabled

# update the inventory
execute as @a[team=player] run function gm4_puzzle_block:technical/inventory/build/completion/base
