# create a new piston
# @s = new piston item_display
# at @s align xyz positioned ~.5 ~.5 ~.5
# run from dev/check_piston

# mark piston facing in score
execute if block ~ ~ ~ #minecraft:buttons[face=floor] run scoreboard players set @s gm4_pb_data 6
execute unless score @s gm4_pb_data matches 1.. if block ~ ~ ~ #minecraft:buttons[face=ceiling] run scoreboard players set @s gm4_pb_data 5
execute unless score @s gm4_pb_data matches 1.. if block ~ ~ ~ #minecraft:buttons[facing=west] run scoreboard players set @s gm4_pb_data 4
execute unless score @s gm4_pb_data matches 1.. if block ~ ~ ~ #minecraft:buttons[facing=south] run scoreboard players set @s gm4_pb_data 3
execute unless score @s gm4_pb_data matches 1.. if block ~ ~ ~ #minecraft:buttons[facing=north] run scoreboard players set @s gm4_pb_data 2
execute unless score @s gm4_pb_data matches 1.. run scoreboard players set @s gm4_pb_data 1

# replace block
setblock ~ ~ ~ air

# set block display type 
execute if score @s gm4_pb_data matches 1 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston"],Rotation:[-90F,0F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}
execute if score @s gm4_pb_data matches 2 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston"],Rotation:[180F,0F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}
execute if score @s gm4_pb_data matches 3 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston"],Rotation:[0F,0F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}
execute if score @s gm4_pb_data matches 4 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston"],Rotation:[90F,0F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}
execute if score @s gm4_pb_data matches 5 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston"],Rotation:[180F,90F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}
execute if score @s gm4_pb_data matches 6 run data merge entity @s {view_range:0.625f,Tags:["gm4_pb_piston","gm4_pb_piston.up"],Rotation:[0F,-90F],transformation:{left_rotation:[1f,0f,0f,1f],right_rotation:[1f,0f,0f,1f],translation:[0f,0f,-1f],scale:[.25f,.25f,.25f]},item:{id:"minecraft:black_dye",Count:1b,tag:{CustomModelData:1}}}

# set as not blocked
scoreboard players set @s gm4_pb_piston_blocked 0
data modify entity @s item.tag.gm4_puzzle_block.current_state set value -1

tellraw @a[gamemode=creative,distance=..8] [{"text":" ","color":"white"},{"text":"click to change piston type: ","color":"yellow"},{"text":"["},{"text":"single","color":"yellow","clickEvent":{"action":"run_command","value":"/data modify entity @e[type=minecraft:item_display,tag=gm4_pb_piston,distance=..5,limit=1,sort=nearest] item.tag.CustomModelData set value 1"}},{"text":"] ["},{"text":"horizontal","color":"yellow","clickEvent":{"action":"run_command","value":"/data modify entity @e[type=minecraft:item_display,tag=gm4_pb_piston,limit=1,sort=nearest] item.tag.CustomModelData set value 2"}},{"text":"] ["},{"text":"vertical","color":"yellow","clickEvent":{"action":"run_command","value":"/data modify entity @e[type=minecraft:item_display,tag=gm4_pb_piston,limit=1,sort=nearest] item.tag.CustomModelData set value 3"}},{"text":"]"}]
tellraw @a[gamemode=creative,distance=..8] {"text":"click to get a command block to (de)activate the nearest piston","color":"yellow","clickEvent":{"action":"run_command","value":"/give @s command_block{BlockEntityTag:{Command:\"execute positioned ~ ~ ~ run scoreboard players set @e[tag=gm4_pb_piston,distance=..5,limit=1,sort=nearest] gm4_pb_auto_move 1\"}} 1"}}
tellraw @a[gamemode=creative,distance=..8] {"text":"click to change to start_on piston","color":"yellow","clickEvent":{"action":"suggest_command","value":"/tag @e[type=minecraft:item_display,tag=gm4_pb_piston,distance=..5,limit=1,sort=nearest] add gm4_pb_piston.start_on"}}

scoreboard players operation @s gm4_pb_id = $id gm4_pb_id
