# run through end cutscene
# @s = unspecified
# at unspecified
# run from map_trigger/ending_cutscene/trigger
# schedule from here

scoreboard players add $ending_cutscene gm4_pb_data 1
execute if score $ending_cutscene gm4_pb_data matches 40 run playsound puzzle_boxes:music_garden_undo voice @a ~ ~ ~ 0.2 0.75 1
# move into black hole
execute if score $ending_cutscene gm4_pb_data matches ..39 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 40..260 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~0.0418 ~
execute if score $ending_cutscene gm4_pb_data matches 40..150 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [-0.02727d,0.0d,-0.042272d]
execute if score $ending_cutscene gm4_pb_data matches 151..260 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,-0.042272d]
execute if score $ending_cutscene gm4_pb_data matches 260 run tp @e[type=armor_stand,tag=gm4_pb_cam,limit=1] 916.0 82.5 209.2
execute if score $ending_cutscene gm4_pb_data matches 244..306 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~ ~ ~-0.435 ~
execute if score $ending_cutscene gm4_pb_data matches 260..330 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [-0.2214d,0.0d,0.1093d]
execute if score $ending_cutscene gm4_pb_data matches 331..346 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [-0.4428d,0.0d,0.2186d]
execute if score $ending_cutscene gm4_pb_data matches 347..356 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [-0.8856d,0.0d,0.4372d]
# show title
execute if score $ending_cutscene gm4_pb_data matches 356..519 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 370 run data merge entity @e[type=item_display,tag=gm4_pb_credits.title,limit=1] {start_interpolation:-1,interpolation_duration:30,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[2f,2f,2f]}}
execute if score $ending_cutscene gm4_pb_data matches 449 run title @a[team=player] times 55t 18t 20t
execute if score $ending_cutscene gm4_pb_data matches 450 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
# tp to map (992.5 130.0 1140.5 -15 -15)
execute if score $ending_cutscene gm4_pb_data matches 520..679 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0045d,0.0125d]
execute if score $ending_cutscene gm4_pb_data matches 520 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 520 run tp @a[team=player] 992.5 129.5 1140.5
execute if score $ending_cutscene gm4_pb_data matches 522 run summon armor_stand 992.5 79.5 1140.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[-15f,-15f]}
execute if score $ending_cutscene gm4_pb_data matches 524 run data merge entity @e[type=text_display,tag=gm4_pb_credits.creators,limit=1] {start_interpolation:-1,interpolation_duration:125,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[-80f,-24f,-122f],scale:[26f,26f,26f]}}
# spring - music (1044.5 114.0 1170.5 180.0 8)
execute if score $ending_cutscene gm4_pb_data matches 680 run kill @e[type=text_display,tag=gm4_pb_credits.creators]
execute if score $ending_cutscene gm4_pb_data matches 680..819 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,0.005d]
execute if score $ending_cutscene gm4_pb_data matches 680 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 664 run title @a[team=player] times 15t 2t 15t
execute if score $ending_cutscene gm4_pb_data matches 665 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 680 run tp @a[team=player] 1044.5 113.5 1170.5 180.0 8
execute if score $ending_cutscene gm4_pb_data matches 682 run summon armor_stand 1044.5 63.5 1170.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[180.0f,8f]}
execute if score $ending_cutscene gm4_pb_data matches 681 run data merge entity @e[type=text_display,tag=gm4_pb_credits.music_1,limit=1] {start_interpolation:-1,interpolation_duration:20,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
execute if score $ending_cutscene gm4_pb_data matches 691 run data merge entity @e[type=text_display,tag=gm4_pb_credits.music_2,limit=1] {start_interpolation:-1,interpolation_duration:15,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
execute if score $ending_cutscene gm4_pb_data matches 701 run data merge entity @e[type=text_display,tag=gm4_pb_credits.music_3,limit=1] {start_interpolation:-1,interpolation_duration:10,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
# autumn - other thanks (1037.5 102.0 1226.5 157.5 -25.0)
execute if score $ending_cutscene gm4_pb_data matches 820..999 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.01d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 820 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 805 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 820 run tp @a[team=player] 1037.5 100.5 1226.5 157.5 -25.0
execute if score $ending_cutscene gm4_pb_data matches 822 run summon armor_stand 1037.5 51.5 1226.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[157.5f,-25.0f]}
execute if score $ending_cutscene gm4_pb_data matches 830 run data merge entity @e[type=text_display,tag=gm4_pb_credits.extra_1,limit=1] {start_interpolation:-1,interpolation_duration:25,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
execute if score $ending_cutscene gm4_pb_data matches 845 run data merge entity @e[type=text_display,tag=gm4_pb_credits.extra_2,limit=1] {start_interpolation:-1,interpolation_duration:20,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
execute if score $ending_cutscene gm4_pb_data matches 860 run data merge entity @e[type=text_display,tag=gm4_pb_credits.extra_3,limit=1] {start_interpolation:-1,interpolation_duration:15,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.6f,1.6f,1.6f]}}
# winter - playtesters (968.5 110.0 1192.5 180.0 -7.5)
execute if score $ending_cutscene gm4_pb_data matches 1000..1179 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,-0.015d]
execute if score $ending_cutscene gm4_pb_data matches 1000 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 985 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 1000 run tp @a[team=player] 968.5 109.5 1192.5 180.0 -7.5
execute if score $ending_cutscene gm4_pb_data matches 1002 run summon armor_stand 968.5 59.5 1192.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[180.0f,-7.5f]}
execute if score $ending_cutscene gm4_pb_data matches 1000..1180 run scoreboard players add $ending_cutscene.pop gm4_pb_data 1
execute if score $ending_cutscene.pop gm4_pb_data matches 6.. run tag @e[type=text_display,tag=gm4_pb_credits.playtester,tag=!gm4_pb_credits.pop,limit=1,sort=random] add gm4_pb_credits.pop
execute if score $ending_cutscene.pop gm4_pb_data matches 6.. run scoreboard players set $ending_cutscene.pop gm4_pb_data 0
execute if score $ending_cutscene gm4_pb_data matches 1000..1180 run scoreboard players add @e[type=text_display,tag=gm4_pb_credits.pop] gm4_pb_data 1
execute if score $ending_cutscene gm4_pb_data matches 1000..1180 run data merge entity @e[type=text_display,tag=gm4_pb_credits.pop,limit=1,scores={gm4_pb_data=1}] {start_interpolation:-1,interpolation_duration:5,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1.15f,1.15f,1.15f]}}
execute if score $ending_cutscene gm4_pb_data matches 1000..1180 run data merge entity @e[type=text_display,tag=gm4_pb_credits.pop,limit=1,scores={gm4_pb_data=6}] {start_interpolation:-1,interpolation_duration:1,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[1f,1f,1f]}}
# summer - total puzzles solved / total pushes / playtime (1009.5 122.5 1223.5 171 -20)
execute if score $ending_cutscene gm4_pb_data matches 1180..1359 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.004d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 1180 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 1165 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 1180 run tp @a[team=player] 1009.5 121.0 1223.5 171.0 -20.0
execute if score $ending_cutscene gm4_pb_data matches 1182 run summon armor_stand 1009.5 72.0 1223.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[171.0f,-20.0f]}
execute if score $ending_cutscene gm4_pb_data matches 1220 run data modify entity @e[type=text_display,tag=gm4_pb_credits.stat_1,limit=1] text set value '[{"text":"","color":"white"},{"nbt":"stat.blocks_pushed","storage":"gm4_puzzle_block:stats","interpret":false,"obfuscated":false},{"translate":"gm4_pb.credit.7","fallback":" Blocks Pushed!","color":"gray"}]'
execute if score $ending_cutscene gm4_pb_data matches 1240 run data modify entity @e[type=text_display,tag=gm4_pb_credits.stat_2,limit=1] text set value '[{"text":"","color":"white"},{"nbt":"stat.puzzles_solved","storage":"gm4_puzzle_block:stats","interpret":false,"obfuscated":false},{"translate":"gm4_pb.credit.8","fallback":"/96 Puzzles Solved!","color":"gray"}]'
execute if score $ending_cutscene gm4_pb_data matches 1260 run data modify entity @e[type=text_display,tag=gm4_pb_credits.stat_3,limit=1] text set value '[{"text":"","color":"white"},{"nbt":"stat.hints_used","storage":"gm4_puzzle_block:stats","interpret":false},{"translate":"gm4_pb.credit.9","fallback":" Hints used!","color":"gray"}]'
execute if score $ending_cutscene gm4_pb_data matches 1270 run data modify entity @e[type=text_display,tag=gm4_pb_credits.stat_4,limit=1] text set value '[{"text":"","color":"white"},{"nbt":"stat.playtime[]","storage":"gm4_puzzle_block:stats","interpret":true,"separator":"","obfuscated":false},{"translate":"gm4_pb.credit.10","fallback":" of Playtime!","color":"gray"}]'
# puzzle you took the longest on (from entity)
execute if score $ending_cutscene gm4_pb_data matches 1360..1529 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.003d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 1360 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 1345 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 1360 run tp @a[team=player] @e[type=marker,tag=gm4_pb_spectate_loc.longest_time,limit=1]
execute if score $ending_cutscene gm4_pb_data matches 1360 rotated as @e[type=marker,tag=gm4_pb_spectate_loc.longest_time,limit=1] as @a[team=player] at @s run tp @s ~ ~-0.75 ~ ~ ~
execute if score $ending_cutscene gm4_pb_data matches 1362 at @e[type=marker,tag=gm4_pb_spectate_loc.longest_time,limit=1] run summon armor_stand ~ ~-50 ~ {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959}
execute if score $ending_cutscene gm4_pb_data matches 1362 as @e[type=marker,tag=gm4_pb_spectate_loc.longest_time,limit=1] at @s run tp @e[type=armor_stand,tag=gm4_pb_cam,limit=1] ~ ~-50 ~ ~ ~
# move back down to statue (992.5 130.0 1140.5 -15 -15)
execute if score $ending_cutscene gm4_pb_data matches 1530..1539 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.0d,0.0d,0.0d]
execute if score $ending_cutscene gm4_pb_data matches 1535 run kill @e[type=armor_stand,tag=gm4_pb_cam]
execute if score $ending_cutscene gm4_pb_data matches 1520 run title @a[team=player] title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
execute if score $ending_cutscene gm4_pb_data matches 1535 run tp @a[team=player] 992.5 129.5 1140.5 -15 -15
execute if score $ending_cutscene gm4_pb_data matches 1537 run summon armor_stand 992.5 79.5 1140.5 {Small:1b,Invisible:1b,Tags:["gm4_pb_cam"],DisabledSlots:4144959,Rotation:[-15f,-15f]}
# bring down to ground (998.5 107.0 1162.7 -15 -15)
execute if score $ending_cutscene gm4_pb_data matches 1551..1560 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~-0.025 ~
execute if score $ending_cutscene gm4_pb_data matches 1561..1570 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~-0.05 ~
execute if score $ending_cutscene gm4_pb_data matches 1571..1580 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~-0.075 ~
execute if score $ending_cutscene gm4_pb_data matches 1581..1590 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~-0.1 ~
execute if score $ending_cutscene gm4_pb_data matches 1591..1640 as @e[type=armor_stand,tag=gm4_pb_cam,limit=1] at @s run tp @s ~ ~-0.41 ~
execute if score $ending_cutscene gm4_pb_data matches 1621.. run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0d,0.0d,0d]
execute if score $ending_cutscene gm4_pb_data matches 1540..1620 run data modify entity @e[type=armor_stand,tag=gm4_pb_cam,limit=1] Motion set value [0.075d,0.0d,0.2775d]

# tick clock
execute unless score $ending_cutscene gm4_pb_data matches 1362 at @e[type=armor_stand,tag=gm4_pb_cam,limit=1] run tp @a[team=player] ~ ~50 ~ ~ ~
execute if score $ending_cutscene gm4_pb_data matches 1638 unless score $toggle.5 gm4_pb_completion matches 1.. run advancement grant @a only gm4_puzzle_block:toast/end
execute if score $ending_cutscene gm4_pb_data matches 1640.. run function gm4_puzzle_block:map_trigger/ending_cutscene/end
execute if score $ending_cutscene gm4_pb_data matches 1.. run schedule function gm4_puzzle_block:map_trigger/ending_cutscene/clock 1t
