# reset puzzle if item is held for long enough
# @s = player using the item
# at @s
# run from main
# run from mechanic/reset/using_item_repeat

scoreboard players reset $button_used.reset gm4_pb_data
tag @s add gm4_pb_changing_inv

scoreboard players add $reset_tick gm4_pb_data 1
scoreboard players set $reset_held gm4_pb_data 4

execute if score $reset_repeat gm4_pb_data matches 1.. unless score $reset_tick gm4_pb_data matches 25.. run schedule function gm4_puzzle_block:mechanic/reset/using_item_repeat 1t

scoreboard players operation $reset_cmd gm4_pb_data = $reset_tick gm4_pb_data
scoreboard players operation $reset_cmd gm4_pb_data /= #2 gm4_pb_data
execute store result storage gm4_puzzle_block:temp reset_cmd int 1 run scoreboard players add $reset_cmd gm4_pb_data 103
item modify entity @s hotbar.1 gm4_puzzle_block:update_reset_button

execute if score $reset_tick gm4_pb_data matches 1 run playsound block.beehive.exit player @a ~ ~ ~ 0.4 0.75
execute if score $reset_tick gm4_pb_data matches 3 run playsound block.beehive.exit player @a ~ ~ ~ 0.41 0.8
execute if score $reset_tick gm4_pb_data matches 5 run playsound block.beehive.exit player @a ~ ~ ~ 0.43 0.85
execute if score $reset_tick gm4_pb_data matches 7 run playsound block.beehive.exit player @a ~ ~ ~ 0.46 0.95
execute if score $reset_tick gm4_pb_data matches 9 run playsound block.beehive.exit player @a ~ ~ ~ 0.5 1.05
execute if score $reset_tick gm4_pb_data matches 11 run playsound block.beehive.exit player @a ~ ~ ~ 0.55 1.2
execute if score $reset_tick gm4_pb_data matches 13 run playsound block.beehive.exit player @a ~ ~ ~ 0.61 1.35
execute if score $reset_tick gm4_pb_data matches 15 run playsound block.beehive.exit player @a ~ ~ ~ 0.68 1.5
execute if score $reset_tick gm4_pb_data matches 17 run playsound block.beehive.exit player @a ~ ~ ~ 0.76 1.7
execute if score $reset_tick gm4_pb_data matches 19 run playsound block.beehive.exit player @a ~ ~ ~ 0.85 2
execute if score $reset_tick gm4_pb_data matches 21 run playsound block.beehive.exit player @a ~ ~ ~ 0.85 2
execute if score $reset_tick gm4_pb_data matches 23 run playsound block.beehive.exit player @a ~ ~ ~ 0.85 2

# reset puzzle if id matches a puzzle, in case it doesn't fizzle
execute if score $reset_tick gm4_pb_data matches 25.. unless score $resetting_id gm4_pb_data matches 1.. run function gm4_puzzle_block:mechanic/reset/fizzle
execute if score $reset_tick gm4_pb_data matches 25.. if score $resetting_id gm4_pb_data matches 1.. run function gm4_puzzle_block:mechanic/reset/puzzle

tag @s remove gm4_pb_changing_inv
