# add pusher role to this player
# @s = player
# at @s
# run from technical/inventory/holding

# set player data
tag @s add gm4_pb_pusher
effect give @s jump_boost infinite 128 true
scoreboard players set $reset_tick gm4_pb_data 0
scoreboard players set @s gm4_pb_hunger_goal 6

# deal with sitting on benches
execute store success score $mounted gm4_pb_data run ride @s dismount
execute if score $mounted gm4_pb_data matches 1 run tag @s add gm4_pb_bech_fix_pusher
execute if score $mounted gm4_pb_data matches 1 run schedule function gm4_puzzle_block:technical/player/fix_bench/pusher 1t

# grant root advancement (for the first time getting pusher)
advancement grant @a only gm4_puzzle_block:display/root

# return to pusher's last location
tag @s add gm4_target
data modify storage gm4_puzzle_block:pusher undo_state.pos set from storage gm4_puzzle_block:pusher saved_states[-1].pos
execute summon marker run function gm4_puzzle_block:mechanic/undo/restore/player
title @s times 1t 1t 8t
title @s title {"text":"A","font":"gm4_pb_transition","color":"#000000"}
effect give @s slowness 1 9 true
tag @s remove gm4_target

# add 2 ticks of delay to allow tp to go through
scoreboard players set $push_delay gm4_pb_data 5

# view cd for view button
scoreboard players set @s gm4_pb_view_cd 7

# update inventory
playsound minecraft:block.stone_button.click_on player @s ~ ~ ~ 1 1.6
execute as @a[team=player,gamemode=!spectator] run function gm4_puzzle_block:technical/inventory/build/buttons/base
function gm4_puzzle_block:technical/inventory/build/completion/base
# remove slot data to not trigger other buttons
scoreboard players set $slot gm4_pb_data -1

# kill ghost
kill @e[type=item_display,tag=gm4_pb_pusher_ghost]
